Skip to main content

Upload Labeled Batch Status

**Sugg### Example Request

curl -X POST https://gateway.ahrvo.network/banking/echecks/apiServices/uploadChecks.php?UploadLabeledBatchStatus \
-H "Content-Type: application/json" \
-H "Authorization: Bearer {jwtToken}" \
-H "x-api-key: {apiKey}" \
-d '{ts**

***

### Overview

Retrieves the status of a previously uploaded check batch. Use this endpoint to check whether your batch upload was accepted, rejected, or is still being processed.

***

### Resource Access

**Production (`api.ahrvo.network`)**

```http
POST https://api.ahrvo.network/banking/echecks/apiServices/uploadChecks.php?UploadLabeledBatchStatus:

Staging (gateway.ahrvo.network)

POST https://gateway.ahrvo.network/banking/echecks/apiServices/uploadChecks.php?UploadLabeledBatchStatus:

Arguments

AttributeMandatory / Optional
merchantUploadRequestIDMandatory
inBehalfOptional

Example Request

curl -X POST https://gateway.ahrvo.network/banking/echecks/apiServices/uploadChecks.php?UploadLabeledBatchStatus: \
-H "Content-Type: application/json" \
-H "Authorization: Bearer {jwtToken}" \
-d '{
"merchantUploadRequestID": "merchantUploadRequestID-from-UploadLabeledBatch",
"inBehalf": ""
}'

Example Response

{
"batchID": 320851,
"recordCount": 75,
"statusCode": 1,
"status": "Accepted",
"errorCode": 0,
"errorMessage": ""
}

Status Codes:

  • 1 - Accepted
  • 2 - Not Found
  • 3 - Rejected
  • 4 - Unknown

API Documentation